import 'dart:io';

import 'package:android_intent/android_intent.dart';
import 'package:flutter/material.dart';

Future<Widget> showDialogInfo(BuildContext context, String packageName) async {
  showDialog(
      context: context,
      builder: (BuildContext context) {
        return Scaffold(
          body: AlertDialog(
            title: Text("Actualización disponible."),
            content: Text("Desea actualizar la aplicación desde apklis?."),
            actions: [
              Row(
                children: [
                  TextButton(
                      onPressed: () {
                        Navigator.of(context, rootNavigator: true)
                            .pop('dialog');
                      },
                      child: Text("Cancelar")),
                  TextButton(
                      onPressed: () async {
                        if (Platform.isAndroid) {
                          AndroidIntent intent = AndroidIntent(
                            action: 'action_view',
                            data:
                                'https://www.apklis.cu/application/$packageName',
                            arguments: {'authAccount': ""},
                          );
                          await intent.launch();
                        }
                      },
                      child: Text("Aceptar"))
                ],
              )
            ],
          ),
        );
      });
  return Text("No Hay Actualizaciones");
}
